%define anolis_release 3
Name:		libexif
Version:	0.6.24
Release:	%{anolis_release}%{?dist}
License:	LGPLv2+
Summary:	Library for extracting extra information from image files
URL:		https://libexif.github.io/
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2


BuildRequires:	autoconf automake libtool make pkgconfig gettext-devel
BuildRequires:	doxygen

%description
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

libexif supports parsing, editing and saving of EXIF data. In addition, it
has gettext support. All EXIF tags described in EXIF standard 2.1 (and most
from 2.2) are supported.  Many maker notes from Canon, Casio, Epson,
Fuji, Nikon, Olympus, Pentax and Sanyo cameras are also supported.

%package devel
Summary:	Files needed for %{name} application development
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and header files for writing programs that use %{name}.

%package doc
Summary:	API Documentation of The EXIF Library
Requires:	%{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation files for %{name}.

%prep
%autosetup -p1


%build
autoreconf -fiv

%configure --disable-static

%make_build


%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la

rm -rf %{buildroot}%{_datadir}/doc/%{name}
cp -R doc/doxygen-output/%{name}-api.html .
iconv -f latin1 -t utf-8 < COPYING > COPYING.utf8
cp COPYING.utf8 COPYING
iconv -f latin1 -t utf-8 < README > README.utf8
cp README.utf8 README
%find_lang %{name}-12


%check
%make_build check


%ldconfig_scriptlets

%generate_compatibility_deps

%files -f libexif-12.lang
%license COPYING
%dir %{abidir}
%{_libdir}/libexif.so.12*
%{abidir}/libexif.dump

%files devel
%{_includedir}/libexif
%{_libdir}/libexif.so
%{_libdir}/pkgconfig/libexif.pc

%files doc
%doc libexif-api.html README NEWS


%changelog
* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -0.6.24-3
- Optimise spec file and add abi/api files

* Mon Feb 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 0.6.24-2
- Optimize the spec

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6.24-1
- Init from upstream version 0.6.24

